namespace OF_DL.Services;

public interface ICajetanApiService : IApiService
{
    new Task<Dictionary<string, long>?> GetListUsers(string endpoint);

    Task<UserEntities.UserInfo?> GetDetailedUserInfoAsync(string endpoint);
    Task<Dictionary<string, long>> GetUsersWithProgressAsync(string typeDisplay, string endpoint, string? typeParam, bool offsetByCount);
    Task<HashSet<long>> GetUsersWithUnreadMessagesAsync();
    Task MarkAsUnreadAsync(string endpoint);
    Task SortBlockedAsync(string endpoint, string order = "recent", string direction = "desc");
}
